<?php
/*
Plugin Name: Instant Weekly Roundup
Plugin URI: http://www.clickonf5.org/instant-weekly-roundup
Description: Instant Weekly Roundup creates weekly or monthly or custom roundup of all your posts written in that time span in a desired format so that there is no need to manually create a roundup post every week to summarize your blogging activity. So a Monday Roundup or a Refresher is not now a big effort.  
Version: 1.0.0
Author: Tejaswini Deshpande, Sanjeev Mishra
Author URI: http://www.clickonf5.org
Wordpress version supported: 2.7 and above
*/

/*  Copyright 2009  Internet Techies  (email : tedeshpa@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
function iwru_url( $path = '' ) {
	global $wp_version;
	if ( version_compare( $wp_version, '2.8', '<' ) ) { // Using WordPress 2.7
		$folder = dirname( plugin_basename( __FILE__ ) );
		if ( '.' != $folder )
			$path = path_join( ltrim( $folder, '/' ), $path );

		return plugins_url( $path );
	}
	return plugins_url( $path, __FILE__ );
}
//on activation, 
function activate_iwru() {
$iwru_options = array('css'=>'default', 
                      'catg_head'=>'h2'); 
add_option('iwru_options',$iwru_options);	
}
					  
register_activation_hook( __FILE__, 'activate_iwru' );
define("IWRU_VER","1.0.0",false);
global $iwru;
$iwru = get_option('iwru_options');

//External CSS in the header
function iwru_scripts_styles() {
wp_enqueue_style( 'iwru_css_file', iwru_url( 'css/instant_weekly_roundup.css' ),
		false, IWRU_VER, false); 
}
if ($iwru['css'] == 'default') {
add_action( 'init', 'iwru_scripts_styles' );
}

function iwru_css() {
}
add_action('wp_head', 'iwru_css');

// function for adding settings page to wp-admin
function iwru_settings() {
    // Add a new submenu under Options:
    add_options_page('Instant Weekly Roundup', 'Instant Weekly Roundup', 9, basename(__FILE__), 'iwru_settings_page');
}

function iwru_admin_init() {
  if ( is_admin() ){ // admin actions
  // Settings page only
	if ( isset($_GET['page']) && 'instant-weekly-roundup.php' == $_GET['page'] ) {
	wp_enqueue_script( 'jquery' );
    wp_enqueue_script( 'jquery-ui-core' );
    wp_enqueue_script( 'jquery-ui-sortable' );
	wp_enqueue_script( 'iwru_calendar-setup', iwru_url( 'js/calendar.js' ),
		false, IWRU_VER, false); 
	wp_enqueue_script( 'iwru_calendar-lang', iwru_url( 'js/lang/calendar-en.js' ),
		false, IWRU_VER, false); 
	wp_enqueue_script( 'iwru_calendar', iwru_url( 'js/calendar-setup.js' ),
		false, IWRU_VER, false); 
	wp_enqueue_style( 'iwru_calendar_css', iwru_url( 'css/calendar-blue.css' ), false, IWRU_VER, 'all');
	wp_enqueue_style( 'iwru_admin_css', iwru_url( 'css/iwru_admin.css' ), false, IWRU_VER, 'all');
	}
  }
}
add_action( 'admin_init', 'iwru_admin_init' );

function iwru_admin_head() {
?>
<script type="text/javascript">
jQuery(document).ready(function()
{
  //hide the all of the element with class msg_body
  jQuery(".iwru_inside").hide();
  //toggle the componenet with class msg_body
  jQuery(".iwru_hndle").click(function()
  {
    jQuery(this).next(".iwru_inside").slideToggle(600);
  });
  jQuery('#iwru_msg_close').click(function () {
			jQuery('#iwru_message').fadeOut("slow");
  });
  jQuery(function() {
		jQuery("#iwru_list").sortable();
		jQuery("#iwru_list").disableSelection();
   });
});

function selTheContent(theField) {
	var tempval=eval("document."+theField)
	tempval.focus()
	tempval.select()
	therange=tempval.createTextRange()
}
   
</script>
<style type="text/css">
#divFeedityWidget span {
        display:none !important;
}
#divFeedityWidget a{
        color:#06637D !important;
}
#divFeedityWidget a:hover{
		font-size:110%;
}
#iwru_message {background-color:#FEF7DA;clear:both;width:72%;}
#iwru_msg_close {float:right;} 
</style>
<?php
}
if ( is_admin() ){ // admin actions
  // Settings page only
if ( isset($_GET['page']) && 'instant-weekly-roundup.php' == $_GET['page'] ) {
add_action('admin_head', 'iwru_admin_head');
}}

add_filter('admin_head','ShowTinyMCE');
function ShowTinyMCE() {
	// conditions here
	if ( is_admin() ){ // admin actions
  // Settings page only
		if ( isset($_GET['page']) && 'instant-weekly-roundup.php' == $_GET['page'] ) {
			wp_enqueue_script( 'common' );
			wp_enqueue_script( 'jquery-color' );
			wp_print_scripts('editor');
			if (function_exists('add_thickbox')) add_thickbox();
			wp_print_scripts('media-upload');
			if (function_exists('wp_tiny_mce')) wp_tiny_mce();
			wp_admin_css();
			wp_enqueue_script('utils');
			do_action("admin_print_styles-post-php");
			do_action('admin_print_styles');
		}
	}
}

// This function displays the page content for the Instant Weekly Roundup Options submenu
function iwru_settings_page() {
global $iwru;
// displaying plugin version info
	require_once(ABSPATH.'/wp-admin/includes/plugin-install.php');
	$plug_api = plugins_api('plugin_information', array('slug' => sanitize_title('Instant Weekly Roundup') ));
		if ( is_wp_error($plug_api) ) {
			wp_die($plug_api);
		}
?>

<div class="wrap">
<?php 
if (IWRU_VER != $plug_api->version) {
     echo '<div id="iwru_message">A new version Instant Weekly Roundup (version '.$plug_api->version.') is available. Please upgrade to enjoy all available features.<img id="iwru_msg_close" src="'.iwru_url( 'images/close.jpg' ).'" /></div>';
} 
?>
<div id="poststuff" class="metabox-holder has-right-sidebar" style="float:right;" > 
			<div class="postbox"> 
			  <h3 class="hndle"><span>About this Plugin:</span></h3> 
			  <div class="inside">
                <ul>
                <li><a href="http://www.clickonf5.org/instant-weekly-roundup" title="Instant Weekly Roundup Homepage" >Plugin Homepage</a></li>
                <li><a href="http://www.clickonf5.org/" title="Visit Internet Techies" >Plugin Parent Site</a></li>
                <li><a href="http://www.clickonf5.org/phpbb/instant-weekly-roundup-f19/" title="Support Forum for Instant Weekly Roundup" >Support Forum</a></li>
                <li><a href="http://www.clickonf5.org/about/tejaswini" title="Instant Weekly Roundup Author Page" >About the Author</a></li>
                <li><a href="http://wordpress.org/extend/plugins/instant-weekly-roundup/stats/">Status:Downloaded <strong><?php echo $plug_api->downloaded; ?></strong> times</a></li> 
                <li><a href="http://clickonf5.org/go/donate-wp-plugins" title="Donate if you liked the plugin and support in enhancing this plugin and creating new plugins" >Donate with Paypal</a></li>
                </ul> 
              </div> 
			</div> 

			<div class="postbox"> 
			  <h3 class="hndle"><span>Credits:</span></h3> 
			  <div class="inside">
                <ul>
                <li><a href="http://www.dynarch.com/projects/calendar/old/" title="Calendar Script" >The Ex-Coolest DHTML Calendar</a></li>
                <li><a href="http://docs.jquery.com/UI/API/1.7.2/Sortable" title="UI Sortable jquery plugin" >UI Sortable jquery plugin</a></li>             
                <li><a href="http://codex.wordpress.org/Main_Page" title="Wordpress Help" >Wordpress Codex</a></li>
                </ul> 
              </div> 
			</div> 
     
			<div class="postbox"> 
			  <h3 class="hndle"><span>Support &amp; Donations</span></h3> 
			  <div class="inside">
					<script language="JavaScript" type="text/javascript">
                    <!--
                        // Customize the widget by editing the fields below
                        // All fields are required
                    
                        // Your Feedity RSS feed URL
                        feedity_widget_feed = "http://feedity.com/rss.aspx/clickonf5-org/UlVRV1ZT";
                    
                        // Number of items to display in the widget
                        feedity_widget_numberofitems = "10";
                    
                        // Show feed item published date (values: yes or no)
                        feedity_widget_showdate = "no";
                    
                        // Widget box width (in px, pt, em, or %)
                        feedity_widget_width = "220px";
                    
                        // Widget background color in hex or by name (eg: #ffffff or white)
                        feedity_widget_backcolor = "#ffffff";
                    
                        // Widget font/link color in hex or by name (eg: #000000 or black)
                        feedity_widget_fontcolor = "#000000";
                    //-->
                    </script>
                    <script language="JavaScript" type="text/javascript" src="http://feedity.com/js/widget.js"></script>
              </div> 
			</div> 
</div>

<h2 style="float:left;">Instant Weekly Roundup</h2>
<form  style="float:left;" action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="8046056">
<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
<div style="clear:left;"></div>

<form method="post" name="iwru_plugin_form" action="">
<div class="form-table iwru_form" style="clear:none;">
<h3 style="text-decoration:underline;">Date Range For the Roundup Post</h3> 
<div>
<label for="iwru_from_date">From Date: </label>
<input type="text" class="iwru_medium_input iwru_date" name="iwru_from_date" id="iwru_from_date" <?php if ($_POST['iwru_action']) { echo 'value='.$_POST['iwru_from_date'];} else { echo 'value="mm/dd/yyyy"';} ?> length="20" /><img src="<?php echo iwru_url( 'images/calendar.png' );?>" id="iwru_triggerf" />

<label for="iwru_to_date" class="second">To Date: </label>
<input type="text" class="iwru_medium_input iwru_date" name="iwru_to_date" id="iwru_to_date" <?php if ($_POST['iwru_action']) { echo 'value='.$_POST['iwru_to_date'];} else {echo 'value="mm/dd/yyyy"';} ?> length="20" /><img src="<?php echo iwru_url( 'images/calendar.png' );?>" id="iwru_triggert" />
</div>

<div class="iwru_section_div iwru_bg_div iwru_narrow_div">
<h3 class="iwru_hndle">Categories for the Roundup Post <img style="float:right;" src="<?php echo iwru_url('images/down.png'); ?>" /></h3>
<div class="iwru_inside">
<p>By default all the categories are selected. Uncheck those which you do not want to include.</p>
<?php
$iwru_categories = get_categories();
foreach ($iwru_categories as $cat) {
?>
<input type="checkbox" name="iwru_cat_list[]" value="<?php echo $cat->cat_ID;?>" <?php if ($_POST['iwru_action'] and in_array($cat->cat_ID,$_POST['iwru_cat_list'])) { echo 'checked';} if (!$_POST['iwru_action']) { echo 'checked';}?> /> &nbsp; <?php echo $cat->cat_name; ?> <br /> 
<?php } ?>
</div>
</div>

<div class="iwru_section_div iwru_bg_div iwru_medium_div">
<h3 class="iwru_hndle">Write the header and the footer of the roundup post here <img style="float:right;" src="<?php echo iwru_url('images/down.png'); ?>" /></h3>
(Separate the Header and Footer with [iwru] tag)
<div class="iwru_inside">
<?php if ($_POST['iwru_action']) {
        $iwru_content = $_POST['content'];
		$iwru_content = stripslashes($iwru_content);
		$iwru_content = str_replace(']]>', ']]&gt;', $iwru_content);
$iwru_post_header_footer = $iwru_content; } the_editor($iwru_post_header_footer);?>
</div>
</div>

</div> <!-- form-table div end-->

<div class="submit" ><input class="button-primary" name="iwru_action" type="submit" value="Submit" /></div>

<?php
if ($_POST['iwru_action'] == "Submit" or $_POST['iwru_action'] == "Generate") { 
$from = date('Y-m-d',strtotime($_POST['iwru_from_date']));
$to = date('Y-m-d',strtotime($_POST['iwru_to_date']));
?>
<div class="form-table iwru_form" style="clear:none;">
<h3>Drag and drop the items below to reorder</h3>
<ul id="iwru_list">
<?php if ($_POST['iwru_action'] == "Submit") {
        global $post;
		$iwru_exist_post_arr = array();
		$iwru_cat_array = $_POST['iwru_cat_list'];
		$count = count($iwru_cat_array);
		$post_i = 0;
		foreach($iwru_cat_array as $post_cat) {
		  $iwru_cat_posts = get_posts('numberposts=-1&category='.$post_cat);
		  if ($iwru_cat_posts) {
		      $iwru_list_cat = get_category($post_cat); 
			  echo '<li><input type="text" name="iwru_list_cat_desc[]" class="regular-text code" value="'.$iwru_list_cat->cat_name.'" />';  ?>
             <input type="hidden" name="iwru_sub_type[]" value="text" />
             <input type="hidden" name="iwru_sub_value[]" value="<?php echo $iwru_list_cat->cat_name; ?>" /> 
             <input type="hidden" name="iwru_sub_id[]" value=""/></li>
<?php	  }
		  foreach ($iwru_cat_posts as $post) {
			  setup_postdata($post);
			  
			  $iwru_post_date_actual = $post->post_date;
			  $iwru_post_date = date('Y-m-d',strtotime($iwru_post_date_actual));
			  if ($from <= $iwru_post_date and $iwru_post_date <= $to) {
			  ?>  
                  <li><input type="checkbox" name="iwru_list_cat[]" value="<?php echo $post->ID.'_'.$post_i; ?>" checked /><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><?php if (in_array($post->ID,$iwru_exist_post_arr)) { ?>&nbsp;<img src="<?php echo iwru_url('images/warning.png'); ?>" title="This post would be appearing in some category above also, so can be duplicate in the roundup!" /><?php } ?>
                 <input type="hidden" name="iwru_sub_type[]" value="checkbox" />
                 <input type="hidden" name="iwru_sub_value[]" value="<?php echo $post->ID; ?>" />
                 <input type="hidden" name="iwru_sub_id[]" value="<?php echo $post_i;?>"/> </li>
<?php			  $iwru_exist_post_arr[] = $post->ID;
                  $post_i = $post_i + 1;
			  }
		  }
		}
	    if ($count == 0) {
			echo "There are no posts written in the selected categories in the specified time span";
		} 
   } //if submit ends
   else
   {
        $iwru_sub_count = count($_POST['iwru_sub_value']);
		$iwru_sub_type = $_POST['iwru_sub_type'];
		$iwru_sub_value = $_POST['iwru_sub_value'];
		$iwru_list_cat_desc = $_POST['iwru_list_cat_desc'];
		$iwru_list_cat = $_POST['iwru_list_cat'];
		$sub_id = $_POST['iwru_sub_id'];
		$iwru_exist_post_arr = array();
		$j = 0;
		$post_i = 0;
		for ($i = 0; $i < $iwru_sub_count ; $i++)
		{
		  if ($iwru_sub_type[$i] == "text") {
		     echo '<li><input type="text" name="iwru_list_cat_desc[]" class="regular-text code" value="'.$iwru_list_cat_desc[$j].'" />';  ?>
             <input type="hidden" name="iwru_sub_type[]" value="text" />
             <input type="hidden" name="iwru_sub_value[]" value="<?php echo $iwru_sub_value[$i]; ?>" /> 
             <input type="hidden" name="iwru_sub_id[]" value="<?php echo $sub_id[$i];?>"/></li>
<?php    $j = $j + 1; }
		  if ($iwru_sub_type[$i] == "checkbox") { 
		     $id = $iwru_sub_value[$i];
			 $iwru_post = get_post($id);
		  ?>
		     <li><input type="checkbox" name="iwru_list_cat[]" value="<?php echo $iwru_post->ID.'_'.$sub_id[$i]; ?>" <?php $iwru_p_id = $iwru_post->ID.'_'.$sub_id[$i]; if (in_array($iwru_p_id,$iwru_list_cat)) {echo 'checked';}?> /><a href="<?php echo get_permalink($iwru_post->ID); ?>"><?php echo $iwru_post->post_title; ?></a><?php if (in_array($iwru_post->ID,$iwru_exist_post_arr)) { ?>&nbsp;<img src="<?php echo iwru_url('images/warning.png'); ?>" title="This post would be appearing in some category above also, so can be duplicate in the roundup!" /><?php } ?>
             <input type="hidden" name="iwru_sub_type[]" value="checkbox" />
             <input type="hidden" name="iwru_sub_value[]" value="<?php echo $iwru_post->ID; ?>" /> 
             <input type="hidden" name="iwru_sub_id[]" value="<?php echo $sub_id[$i];?>"/> </li>
<?php	     $iwru_exist_post_arr[] = $iwru_post->ID;
             $post_i = $post_i + 1;
          }
        }
		if ($post_i == 0) {
			echo "There are no posts written in the selected categories in the specified time span";
		} 
     }
?>
</ul>
</div> <!-- form-table div end-->
<div class="submit" ><input class="button-primary" name="iwru_action" type="submit" value="Generate" /></div>
<?php } ?>

<?php
if ($_POST['iwru_action'] == "Generate") { 
        $html = '';
		$iwru_content = $_POST['content'];
		$iwru_content = stripslashes($iwru_content);
		$iwru_content = str_replace(']]>', ']]&gt;', $iwru_content);
		$iwru_content = str_replace("\n","<br />",$iwru_content);
		
		$iwru_split_content = explode('[iwru]',$iwru_content,2);
		$iwru_header = $iwru_split_content[0];
		$iwru_footer = $iwru_split_content[1];
		
		$html = $html.$iwru_header.'<div id="iwru_roundup_posts">';
		$iwru_sub_count = count($_POST['iwru_sub_value']);
		$iwru_sub_type = $_POST['iwru_sub_type'];
		$iwru_sub_value = $_POST['iwru_sub_value'];
		$iwru_list_cat_desc = $_POST['iwru_list_cat_desc'];
		$iwru_list_cat = $_POST['iwru_list_cat'];
		$j = 0;
		$sub_id = $_POST['iwru_sub_id'];
		for ($i = 0; $i < $iwru_sub_count ; $i++)
		{
		  if ($iwru_sub_type[$i] == "text") {
		     $cat_heading = $iwru_list_cat_desc[$j];
		     if (!empty($cat_heading)) {
			     $html = $html.'<'.$iwru['catg_head'].'>'.$iwru_list_cat_desc[$j].'</'.$iwru['catg_head'].'>';
			 }
		     $j = $j + 1;
          }
		  if ($iwru_sub_type[$i] == "checkbox") { 
		     $id = $iwru_sub_value[$i];
			 $iwru_post = get_post($id);
			 $iwru_p_id = $iwru_post->ID.'_'.$sub_id[$i]; 
			 if (in_array($iwru_p_id,$iwru_list_cat)) {
			     $html = $html.'<p class="iwru_item"><a href="'.get_permalink($iwru_post->ID).'">'.$iwru_post->post_title.'</a></p>';
			 } 
          }
        }
        $html = $html.'</div>'.$iwru_footer.'<div style="clear:both;float:right;"><a href="http://www.clickonf5.org/instant-weekly-roundup"><img style="border:none;" src="'.iwru_url('images/instant_weekly_roundup.png').'" alt="Instant Weekly Roundup - Free Wordpress Plugin" /></a></div><div style="clear:both;"></div>';
?>
<div class="form-table iwru_form" style="clear:none;">
<h3>This is the final HTML code,copy it and paste to your post on Edit Panel</h3>
<textarea name="final_html" rows="10" cols="70"><?php echo $html;?></textarea>
<div class="submit" ><input type="button" value="Select all" onclick="selTheContent('iwru_plugin_form.final_html')" /></div>
</div> <!-- form-table div end-->
<?php } ?>

</form>

<script type="text/javascript"> 
Calendar.setup({
        inputField     :   "iwru_from_date", // ID of the input field
        ifFormat       :   "%m/%d/%Y", // the date format
		button         :   "iwru_triggerf" // ID of the button
});
</script> 

<script type="text/javascript"> 
Calendar.setup({
        inputField     :   "iwru_to_date", // ID of the input field
        ifFormat       :   "%m/%d/%Y", // the date format
		button         :   "iwru_triggert" // ID of the button
});
</script> 

<hr />
<form  method="post" action="options.php">
<?php settings_fields('iwru-group'); 
global $iwru;
?>
<h2>Set the Options for the Round up Post</h2> 
<p>(In case of custom CSS you would need to define the styles in your WP theme stylesheet or in the head section by yourself. Also, the default CSS contains the style for Header 2 selection below only, if you select other element, you would need to define its style in your theme stylesheet. Please refer the <a href="http://www.clickonf5.org/instant-weekly-roundup">usage section</a> of the plugin for the details on how to define custom styles.)</p>
<table class="form-table">
<tr valign="top">
<th scope="row"><label for="iwru_options[css]">Select the CSS type for Roundup Post</label></th> 
<td><select name="iwru_options[css]">
<option value="default" <?php if ($iwru['css'] == "default"){ echo "selected";}?> >Plugin CSS file</option>
<option value="custom" <?php if ($iwru['css'] == "custom"){ echo "selected";}?> >Custom CSS in theme styles</option>
</select></td>
</tr>
<tr valign="top">
<th scope="row"><label for="iwru_options[catg_head]">Select the element for the Category headers</label></th> 
<td><select name="iwru_options[catg_head]">
<option value="h2" <?php if ($iwru['catg_head'] == "h2"){ echo "selected";}?> >Header 2</option>
<option value="h3" <?php if ($iwru['catg_head'] == "h3"){ echo "selected";}?> >Header 3</option>
<option value="h4" <?php if ($iwru['catg_head'] == "h4"){ echo "selected";}?> >Header 4</option>
<option value="h5" <?php if ($iwru['catg_head'] == "h5"){ echo "selected";}?> >Header 5</option>
<option value="h6" <?php if ($iwru['catg_head'] == "h6"){ echo "selected";}?> >Header 6</option>
</select></td>
</tr>
</table>

<p class="submit">
<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>

</form>


</div> <!--end of float wrap -->
<?php	
}
// Hook for adding admin menus
if ( is_admin() ){ // admin actions
  add_action('admin_menu', 'iwru_settings');
  add_action( 'admin_init', 'register_iwru_settings' ); 
} 
function register_iwru_settings() { // whitelist options
  register_setting( 'iwru-group', 'iwru_options' );
}

?>